Page MenuHomePhabricator

Create API module to let Graphoid get graph spec JSON blob
Closed, ResolvedPublic

Description

Instead of using page-props api, it should be possible for the Graphoid service to call Graph extension's API and get the graph JSON definition.

api.php ? action=graphspec & title=Blah & revision=NNNN & hash=NNNNN

Result:
{"graphspec":{
    "value": "{...}"
}}

Eventually title and revision params could get dropped, and only hash will be used.

Event Timeline

Yurik created this task.Jul 21 2015, 3:07 AM
Yurik raised the priority of this task from to Normal.
Yurik updated the task description. (Show Details)
Yurik added a project: Graphs.
Yurik added a subscriber: Yurik.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 21 2015, 3:07 AM

Change 255319 had a related patch set uploaded (by Yurik):
Implements action=graph api to get graph by id

https://gerrit.wikimedia.org/r/255319

Change 255319 merged by jenkins-bot:
Implements action=graph api to get graph by id

https://gerrit.wikimedia.org/r/255319

ferdbold added a subscriber: ferdbold.
Yurik moved this task from Backlog to Prioritized on the Graphs board.Dec 2 2015, 11:27 PM
Yurik closed this task as Resolved.Jan 8 2016, 7:40 AM
Yurik claimed this task.